# Name

HPL_packL Form the MPI structure for the row ring broadcasts.

# Synopsis

`#include "hpl.h"`
`int` `HPL_packL(` `HPL_T_panel *` `PANEL`, `const int` `INDEX`, `const int` `LEN`, `const int` `IBUF` `);`

# Description

HPL_packL forms the MPI data type for the panel to be broadcast. Successful completion is indicated by the returned error code MPI_SUCCESS.

# Arguments

    PANEL   (input/output)                HPL_T_panel *
            On entry,  PANEL  points to the  current panel data structure
            being broadcast.

    INDEX   (input)                       const int
            On entry,  INDEX  points  to  the  first entry of the  packed
            buffer being broadcast.

    LEN     (input)                       const int
            On entry, LEN is the length of the packed buffer.

    IBUF    (input)                       const int
            On entry, IBUF  specifies the panel buffer/count/type entries
            that should be initialized.

# See Also

HPL_binit, HPL_bcast, HPL_bwait.